package com.pj.project.tb_init_permission;

import java.util.List;

import com.pj.utils.so.SoMap;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import com.pj.utils.sg.*;

/**
 * Service: tb_init_permission -- 初始化权限
 * @author qzy 
 */
@Service
public class TbInitPermissionService {

	/** 底层 Mapper 对象 */
	@Autowired
	TbInitPermissionMapper tbInitPermissionMapper;

	/** 增 */
	int add(TbInitPermission t){
		return tbInitPermissionMapper.add(t);
	}

	/** 删 */
	int delete(Long id){
		return tbInitPermissionMapper.delete(id);
	}

	/** 改 */
	int update(TbInitPermission t){
		return tbInitPermissionMapper.update(t);
	}

	/** 查 */
	TbInitPermission getById(Long id){
		return tbInitPermissionMapper.getById(id);
	}

	/** 查集合 - 根据条件（参数为空时代表忽略指定条件） */  
 public 	List<TbInitPermission> getList(SoMap so) {
		return tbInitPermissionMapper.getList(so);	
	}
	

}
